const { createStore } = require('redux')

const initialState = {
    eventDetails: {
        title: 'Redux RAVE party',
        venue: {
            capacity: 9000,
            isAccessible: false
        }
    },
    onTheNight: {
        announcements: [],
        food: {
            pizzas: {
                margherita: 10,
                genericMeat: 10,
                genericVeg: 10
            },
            sushi: {
                maki: 50,
                nigiri: 40,
                sashimi: 30
            }
        },
        persons: {
            inside: 0,
            queuing: 0
        }
    }
}



const store = createStore(reducer)

store.dispatch(/* some action to make the event accessible */)
store.getState()
/*
    {
        eventDetails: {
            title: 'Redux RAVE party',
            venue: {
                capacity: 9000,
                isAccessible: true
            }
        },
        onTheNight: {
            announcements: [],
            food: {
                pizzas: {
                    margherita: 10,
                    genericMeat: 10,
                    genericVeg: 10
                },
                sushi: {
                    maki: 50,
                    nigiri: 40,
                    sashimi: 30
                }
            },
            persons: {
                inside: 0,
                queuing: 0
            }
        }
    }

*/;
